polyline in NX / NX
asuasura 07. Mrz. 2017, 08:14

Hallo CAD Gurus,

ich bin neu hier im Forum    Ich hab Erfahrung mit CATIA zu konstruieren. Aber mit NX hab ich null Ahnung. Ich versuche grad eine Rohrleitung in NX zu konstruieren. Ich hab Punktwolken in Excel, die ich in NX importieren muss. Und die Punkten mit einer Polyline zu verbinden.

Meine Frage ist: in CATIA kann man die Punktwolken mit GSDPoint leicht importieren. Und polyline ist in CATIA eine Standardfunktion. Gibt's ähnliche Funktionen auch in NX??

Viele Grüße,

Meinolf Droste 08. Mrz. 2017, 09:34

Moin

herzlich willkommen hier im NX Forum.

Ich habe jetzt keine Ahnung was eine Polylinie in Catia ist.
Du kannst unter Datei / Importieren / Punkte aus Datei Punktewolken einlesen. Diese Punkte bilden dann im Teilenavigator eine Gruppe mit dem Namen der Datei.
Die Datei sollte eine Textdatei sein, der Dezimaltrenner muss ein Punkt sein.
Durch diese Punkte kannst du dann z. Bsp. mit der Funktion "fit curve" einen assoziativen Spline legen. Obwohl ich bezweifle das eine Rohrleitung als Spline ausgeführt werden soll.
Es gibt ein Routing Modul in NX, da kenne ich mich aber nicht mit aus.


Hermes 08. Mrz. 2017, 13:12

hallo

mir ist da nur eine Umgehungslösung bekannt; in Form von .NET/C++ Beispiel

Diese Programme erzeugen eine Reihe einzelner Linien;
NX kennt keine "Polylines" im Sinne von Catia, AutoCAD, ..

http://ww3.cad.de/foren/ubb/Forum4/HTML/007935.shtml#000004

C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\.NET\File2Points
C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points

C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points\File2Points.cpp
C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points\File2PointsCPP_Input.txt
C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points\README.txt

Walter Hogger 08. Mrz. 2017, 13:41


Punkte_von_Excel_nach_NX11.pdf

 
Hallo asuasura,

ich glaube nicht, dass du gleich eigene Programme schreiben musst, obwohl wir das oft machen, da wir dann viel flexibler sind. In der Anlage findest du eine der zahlreichen Möglichkeiten von Dateien mit Punkten nach NX zu kommen. Die Leitung (Polyline) nennt sich in NX "Spline", da geht wiederum sehr vieles. Deine Vorgaben sind da zu mager.

Du solltest unbedingt deine NX-Version in der Signatur angeben!

Gruß

Yeti 08. Mrz. 2017, 15:12

Zitat:
Original erstellt von asuasura:
...versuche grad eine Rohrleitung in NX zu konstruieren...Punktewolke...Polylinie...

Moin,

die Routingfunktion im Routing Mechanical kann zwar eine Linie (egal welchen Typs) als Basis bekommen, erzeugt aber eine eigene, intelligente "Mittellinie".
Aber -wie Meinolf schon sagte- mit Splines kann man höchstens Schläuche konstruieren, macht man aber keine Rohre...oder biegst du noch warm mit Sandfüllung?
 

mseufert 08. Mrz. 2017, 16:45

Hallo asuasura,

Du bist nicht der Erste, der diese Frage stellt  . Aber einer von Vielen, die die Suchfunktion nicht kennen oder gar nutzen  .

Also einfach polyline in die Suchleiste eintragen, den Button "Suchen!" betätigen und schon gibt's die gesuchten Antworten.

Eine Lösung gibt's z.B. hier.

Gruß, Michael

asuasura 20. Mrz. 2017, 20:39

@alle vielen Dank für Eure nette Antworten..

@Walter Holger

Zitat:
Du solltest unbedingt deine NX-Version in der Signatur angeben!

Ich benutze das Programm NX 10.. also ziemlich aktuell.. ich meine solche Funktion wie "spline" gibt's auch bei älteren Versionen oder

@Yeti

Zitat:
oder biegst du noch warm mit Sandfüllung?

nope ich konstruiere ein einfaches Rohr.. ich versuche erstmal dann mit spline zu konstruieren.. erstmal vllt als ein Schlauch

@mseufert
vielen Dank für die Info.. werde ich mir genauer anschauen